<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Tue May 25 22:41:00 CEST 2010 -->
<TITLE>
O-Index
</TITLE>

<META NAME="date" CONTENT="2010-05-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="O-Index";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-12.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-14.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-13.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-13.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <HR>
<A NAME="_O_"><!-- --></A><H2>
<B>O</B></H2>
<DL>
<DT><A HREF="../org/bitfountain/gui/client/catalog/CatalogItem.html#onClick(int, int, int)"><B>onClick(int, int, int)</B></A> - 
Method in class org.bitfountain.gui.client.catalog.<A HREF="../org/bitfountain/gui/client/catalog/CatalogItem.html" title="class in org.bitfountain.gui.client.catalog">CatalogItem</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/items/Item.html#onClick(int, int, int)"><B>onClick(int, int, int)</B></A> - 
Method in class org.bitfountain.gui.client.items.<A HREF="../org/bitfountain/gui/client/items/Item.html" title="class in org.bitfountain.gui.client.items">Item</A>
<DD>Handle a click event.
<DT><A HREF="../org/bitfountain/gui/client/transfer/TransferItem.html#onClick(int, int, int)"><B>onClick(int, int, int)</B></A> - 
Method in class org.bitfountain.gui.client.transfer.<A HREF="../org/bitfountain/gui/client/transfer/TransferItem.html" title="class in org.bitfountain.gui.client.transfer">TransferItem</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/ClientApp.html#onLogin(org.bitfountain.network.client.ClientCommunication)"><B>onLogin(ClientCommunication)</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/ClientApp.html" title="class in org.bitfountain.gui.client">ClientApp</A>
<DD>Called by LoginWindow when the dialog is completed or aborted.
<DT><A HREF="../org/bitfountain/gui/client/ProgressListener.html#onProgress(long, long, int, int)"><B>onProgress(long, long, int, int)</B></A> - 
Method in interface org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/ProgressListener.html" title="interface in org.bitfountain.gui.client">ProgressListener</A>
<DD>Is called whenever there's progress in a process (such as encoding or decoding).
<DT><A HREF="../org/bitfountain/gui/package-summary.html"><B>org.bitfountain.gui</B></A> - package org.bitfountain.gui<DD>&nbsp;<DT><A HREF="../org/bitfountain/gui/client/package-summary.html"><B>org.bitfountain.gui.client</B></A> - package org.bitfountain.gui.client<DD>&nbsp;<DT><A HREF="../org/bitfountain/gui/client/catalog/package-summary.html"><B>org.bitfountain.gui.client.catalog</B></A> - package org.bitfountain.gui.client.catalog<DD>&nbsp;<DT><A HREF="../org/bitfountain/gui/client/download/package-summary.html"><B>org.bitfountain.gui.client.download</B></A> - package org.bitfountain.gui.client.download<DD>&nbsp;<DT><A HREF="../org/bitfountain/gui/client/items/package-summary.html"><B>org.bitfountain.gui.client.items</B></A> - package org.bitfountain.gui.client.items<DD>&nbsp;<DT><A HREF="../org/bitfountain/gui/client/transfer/package-summary.html"><B>org.bitfountain.gui.client.transfer</B></A> - package org.bitfountain.gui.client.transfer<DD>&nbsp;<DT><A HREF="../org/bitfountain/gui/client/upload/package-summary.html"><B>org.bitfountain.gui.client.upload</B></A> - package org.bitfountain.gui.client.upload<DD>&nbsp;<DT><A HREF="../org/bitfountain/gui/notifications/package-summary.html"><B>org.bitfountain.gui.notifications</B></A> - package org.bitfountain.gui.notifications<DD>&nbsp;<DT><A HREF="../org/bitfountain/gui/server/package-summary.html"><B>org.bitfountain.gui.server</B></A> - package org.bitfountain.gui.server<DD>&nbsp;<DT><A HREF="../org/bitfountain/io/package-summary.html"><B>org.bitfountain.io</B></A> - package org.bitfountain.io<DD>&nbsp;<DT><A HREF="../org/bitfountain/math/package-summary.html"><B>org.bitfountain.math</B></A> - package org.bitfountain.math<DD>&nbsp;<DT><A HREF="../org/bitfountain/math/reedsolomon/package-summary.html"><B>org.bitfountain.math.reedsolomon</B></A> - package org.bitfountain.math.reedsolomon<DD>&nbsp;<DT><A HREF="../org/bitfountain/math/reedsolomon/decoding/package-summary.html"><B>org.bitfountain.math.reedsolomon.decoding</B></A> - package org.bitfountain.math.reedsolomon.decoding<DD>&nbsp;<DT><A HREF="../org/bitfountain/math/reedsolomon/encoding/package-summary.html"><B>org.bitfountain.math.reedsolomon.encoding</B></A> - package org.bitfountain.math.reedsolomon.encoding<DD>&nbsp;<DT><A HREF="../org/bitfountain/math/reedsolomon/test/package-summary.html"><B>org.bitfountain.math.reedsolomon.test</B></A> - package org.bitfountain.math.reedsolomon.test<DD>&nbsp;<DT><A HREF="../org/bitfountain/network/package-summary.html"><B>org.bitfountain.network</B></A> - package org.bitfountain.network<DD>&nbsp;<DT><A HREF="../org/bitfountain/network/client/package-summary.html"><B>org.bitfountain.network.client</B></A> - package org.bitfountain.network.client<DD>&nbsp;<DT><A HREF="../org/bitfountain/network/packets/package-summary.html"><B>org.bitfountain.network.packets</B></A> - package org.bitfountain.network.packets<DD>&nbsp;<DT><A HREF="../org/bitfountain/network/server/package-summary.html"><B>org.bitfountain.network.server</B></A> - package org.bitfountain.network.server<DD>&nbsp;<DT><A HREF="../org/bitfountain/network/client/ClientCommunication.html#outputStream"><B>outputStream</B></A> - 
Variable in class org.bitfountain.network.client.<A HREF="../org/bitfountain/network/client/ClientCommunication.html" title="class in org.bitfountain.network.client">ClientCommunication</A>
<DD>Output stream used to write data to the server.
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-12.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-14.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-13.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-13.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <HR>

</BODY>
</HTML>
